Get TenantMeteringSummary by ID
Get a single TenantMeteringSummary by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
tenant_metering_summary_id
ID of the TenantMeteringSummary.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
balance
Number of credits remaining in the current granted amount.
grantedAmount
Total credits granted to the tenant.
hasEntitlement
Whether the tenant has a Benchling credit entitlement. When false, balance, usage, overage,
and grantedAmount are all zero.
id
isUserCreditEnforcementEnabled
Tenant-wide enforcement setting.
monthlyCreditLimit
The monthly credit limit applied to each user tenant-wide. Equals tenantCreditLimit.monthlyLimit
when the tenant has a tenant-wide limit; otherwise the default limit. Null when per-user credit
limits are not enabled for the tenant.
overage
Excess credits that have been consumed by the tenant, possibly to be billed.
tenantCreditLimit
The credit limit for the tenant as a whole, if there is one.
usage
How many credits the tenant has used in the past period.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error